#ifndef CSYSTEMTRAYMANAGER_H
#define CSYSTEMTRAYMANAGER_H

#include "GlobalDefine.h"
#include <QSystemTrayIcon>
#include <QMenu>
#include <QAction>

class CMasterCtrl;

class CSystemTrayManager: public QObject
{
    Q_OBJECT
public:
    CSystemTrayManager();
    virtual ~CSystemTrayManager();
    CMasterCtrl *mProgramHandle;

private:
    QSystemTrayIcon mSystemTrayIcon;
    QMenu *mTrayMenu;
    QAction *mQuitAction, *mShowSettingsGUIAction;

public slots:
    void TrayIconActivated(QSystemTrayIcon::ActivationReason);
    void TrayBaloonMessageClicked();
    void TrayMenuClicked(QAction*);
};

#endif // CSYSTEMTRAYMANAGER_H
